:root {
  --color-white-rgb: 255, 255, 255;
  --color-black-rgb: 0, 0, 0;
  --color-primary-rgb: 255, 0, 239;
  /* صورتی نئونی */
  --color-secondary-rgb: 0, 238, 255;
  /* آبی نئونی */
  --color-success-rgb: 56, 135, 30;
  --color-error-rgb: 170, 51, 51;
  --color-warning-rgb: 255, 140, 0;
  --color-info-rgb: 34, 85, 153;
  --color-neutral-000-rgb: 0, 0, 0;
  --color-neutral-100-rgb: 10, 10, 10;
  --color-neutral-200-rgb: 22, 22, 22;
  --color-neutral-300-rgb: 64, 64, 64;
  --color-neutral-999-rgb: 255, 255, 255;
  --text-color-primary-rgb: 255, 255, 255;
  --text-color-secondary-rgb: 0, 238, 255;
  /* همان آبی نئونی */
  --color-game-primary-rgb: var(--color-primary-rgb);
  --color-game-secondary-rgb: var(--color-black-rgb);
  --color-white: rgb(var(--color-white-rgb));
  --color-black: rgb(var(--color-black-rgb));
  --color-primary: rgb(var(--color-primary-rgb));
  --color-secondary: rgb(var(--color-secondary-rgb));
  --color-success: rgb(var(--color-success-rgb));
  --color-error: rgb(var(--color-error-rgb));
  --color-warning: rgb(var(--color-warning-rgb));
  --color-info: rgb(var(--color-info-rgb));
  --color-neutral-000: rgb(var(--color-neutral-000-rgb));
  --color-neutral-100: rgb(var(--color-neutral-100-rgb));
  --color-neutral-200: rgb(var(--color-neutral-200-rgb));
  --color-neutral-300: rgb(var(--color-neutral-300-rgb));
  --color-neutral-999: rgb(var(--color-neutral-999-rgb));
  --text-color-primary: rgb(var(--text-color-primary-rgb));
  --text-color-secondary: rgb(var(--text-color-secondary-rgb));
}

/* =======================
    Basic
======================= */
html {
  background-color: #1f1f1f;
  scroll-behavior: smooth;
  overflow-y: hidden;
  overflow-x: hidden;
  overscroll-behavior: contain;
}

* {
  font-family: body;
  box-sizing: content-box;
  margin: 0;
  padding: 0;
  user-select: none;
}

body {
  color-scheme: dark;
}

.body {
  overflow: hidden;
  display: block;
}

.sections {
  background-color: var(--color-neutral-200);
  color: var(--text-color-primary);
}

/* =======================
    Loading
======================= */
.loading {
  z-index: 999;
  display: flex;
  flex-direction: column;
  align-items: center;
  background: black;
  direction: ltr;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  scroll-snap-align: start;
  justify-content: space-evenly;
  position: fixed;
  justify-content: center;
  --main: #EF4444;
  --accent: #a52121;
}

.loading:before {
  content: '';
  top: 0;
  left: 0;
  width: 200vw;
  height: 200vh;
  position: absolute;
  background: #000;
}

.socket {
  scale: 2.5;
  width: 200px;
  height: 200px;
  position: absolute;
  left: 50%;
  margin-inline-start: -100px;
  top: 50%;
  margin-top: -100px;
}

@media (max-width: 768px) {
  .socket {
    scale: 1.5;
  }
}

.hex-brick {
  box-shadow: 0px 0px 25px 0px var(--accent);
  scale: .5;
  background: rgb(47, 47, 47);
  width: 30px;
  height: 17px;
  position: absolute;
  top: 5px;
  animation-name: fade00;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  -webkit-animation-name: fade00;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
}

.h2 {
  transform: rotate(60deg);
  -webkit-transform: rotate(60deg);
}

.h3 {
  transform: rotate(-60deg);
  -webkit-transform: rotate(-60deg);
}

.gel {
  height: 30px;
  width: 30px;
  transition: all .3s;
  -webkit-transition: all .3s;
  position: absolute;
  top: 50%;
  left: 50%;
}

.center-gel {
  margin-inline-start: -15px;
  margin-top: -15px;
  animation-name: pulse00;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  -webkit-animation-name: pulse00;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
}

.c1 {
  margin-inline-start: -47px;
  margin-top: -15px;
}

.c2 {
  margin-inline-start: -31px;
  margin-top: -43px;
}

.c3 {
  margin-inline-start: 1px;
  margin-top: -43px;
}

.c4 {
  margin-inline-start: 17px;
  margin-top: -15px;
}

.c5 {
  margin-inline-start: -31px;
  margin-top: 13px;
}

.c6 {
  margin-inline-start: 1px;
  margin-top: 13px;
}

.c7 {
  margin-inline-start: -63px;
  margin-top: -43px;
}

.c8 {
  margin-inline-start: 33px;
  margin-top: -43px;
}

.c9 {
  margin-inline-start: -15px;
  margin-top: 41px;
}

.c10 {
  margin-inline-start: -63px;
  margin-top: 13px;
}

.c11 {
  margin-inline-start: 33px;
  margin-top: 13px;
}

.c12 {
  margin-inline-start: -15px;
  margin-top: -71px;
}

.c13 {
  margin-inline-start: -47px;
  margin-top: -71px;
}

.c14 {
  margin-inline-start: 17px;
  margin-top: -71px;
}

.c15 {
  margin-inline-start: -47px;
  margin-top: 41px;
}

.c16 {
  margin-inline-start: 17px;
  margin-top: 41px;
}

.c17 {
  margin-inline-start: -79px;
  margin-top: -15px;
}

.c18 {
  margin-inline-start: 49px;
  margin-top: -15px;
}

.c19 {
  margin-inline-start: -63px;
  margin-top: -99px;
}

.c20 {
  margin-inline-start: 33px;
  margin-top: -99px;
}

.c21 {
  margin-inline-start: 1px;
  margin-top: -99px;
}

.c22 {
  margin-inline-start: -31px;
  margin-top: -99px;
}

.c23 {
  margin-inline-start: -63px;
  margin-top: 69px;
}

.c24 {
  margin-inline-start: 33px;
  margin-top: 69px;
}

.c25 {
  margin-inline-start: 1px;
  margin-top: 69px;
}

.c26 {
  margin-inline-start: -31px;
  margin-top: 69px;
}

.c27 {
  margin-inline-start: -79px;
  margin-top: -15px;
}

.c28 {
  margin-inline-start: -95px;
  margin-top: -43px;
}

.c29 {
  margin-inline-start: -95px;
  margin-top: 13px;
}

.c30 {
  margin-inline-start: 49px;
  margin-top: 41px;
}

.c31 {
  margin-inline-start: -79px;
  margin-top: -71px;
}

.c32 {
  margin-inline-start: -111px;
  margin-top: -15px;
}

.c33 {
  margin-inline-start: 65px;
  margin-top: -43px;
}

.c34 {
  margin-inline-start: 65px;
  margin-top: 13px;
}

.c35 {
  margin-inline-start: -79px;
  margin-top: 41px;
}

.c36 {
  margin-inline-start: 49px;
  margin-top: -71px;
}

.c37 {
  margin-inline-start: 81px;
  margin-top: -15px;
}

.r1 {
  animation-name: pulse00;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-delay: .2s;
  -webkit-animation-name: pulse00;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-delay: .2s;
}

.r2 {
  animation-name: pulse00;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-delay: .4s;
  -webkit-animation-name: pulse00;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-delay: .4s;
}

.r3 {
  animation-name: pulse00;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-delay: .6s;
  -webkit-animation-name: pulse00;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-delay: .6s;
}

.r1>.hex-brick {
  animation-name: fade00;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-delay: .2s;
  -webkit-animation-name: fade00;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-delay: .2s;
}

.r2>.hex-brick {
  animation-name: fade00;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-delay: .4s;
  -webkit-animation-name: fade00;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-delay: .4s;
}

.r3>.hex-brick {
  animation-name: fade00;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-delay: .6s;
  -webkit-animation-name: fade00;
  -webkit-animation-duration: 2s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-delay: .6s;
}

@keyframes pulse00 {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }

  50% {
    -webkit-transform: scale(0.01);
    transform: scale(0.01);
  }

  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

@keyframes fade00 {
  0% {
    background: var(--accent);
  }

  50% {
    background: var(--accent);
  }

  100% {
    background: var(--accent);
  }
}


h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: title;
}